Get All Users

Get All Users
Get list of users

This endpoint retrieves a list of all users in the system.
Authorized Roles : SYSTEM_ADMIN or INFRA_ADMIN or DSM_ADMIN

Request
URI
GET
https://{api_host}/provider/users
COPY
Query Parameters
integer
page
Optional
Constraints: minimum: 0 default: 0

Zero-based page index (0..N)

integer
size
Optional
Constraints: minimum: 1 default: 20

The size of the page to be returned

array
sort
Optional

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

string
userSearchInput
Optional

Filter based on email


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved the list of users.

Returns PagedModel of type(s) application/vnd.vmware.dms-v1+json
{
    "_embedded": {
        "objects": [
            {}
        ]
    },
    "_links": {
        "_links": {
            "href": "string",
            "hreflang": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string",
            "templated": false
        }
    },
    "page": {
        "size": 0,
        "totalElements": 0,
        "totalPages": 0,
        "number": 0
    }
}

400

Bad request. The provided input data is invalid.

Returns ErrorDto of type(s) application/vnd.vmware.dms-v1+json
{
    "message": "string",
    "errorCodes": {
        "type": "string"
    }
}

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/provider/users